Update message
curl --request PATCH \
--url https://api.bizzyco.ai/v1/messages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"readAt": "2024-01-15T10:30:00Z",
"archivedAt": "2024-01-15T12:00:00Z",
"snoozedUntil": "2024-01-16T09:00:00Z"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
readAt: '2024-01-15T10:30:00Z',
archivedAt: '2024-01-15T12:00:00Z',
snoozedUntil: '2024-01-16T09:00:00Z'
})
};
fetch('https://api.bizzyco.ai/v1/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/messages/{id}"
payload = {
"readAt": "2024-01-15T10:30:00Z",
"archivedAt": "2024-01-15T12:00:00Z",
"snoozedUntil": "2024-01-16T09:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/messages/{id}"
payload := strings.NewReader("{\n \"readAt\": \"2024-01-15T10:30:00Z\",\n \"archivedAt\": \"2024-01-15T12:00:00Z\",\n \"snoozedUntil\": \"2024-01-16T09:00:00Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z",
"readAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"snoozedUntil": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phoneNumberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emailAddressId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerMessageId": "<string>",
"providerName": "<string>",
"threadId": "<string>",
"text": "<string>",
"action": "<string>",
"importance": "<string>",
"status": "<string>",
"summary": "<string>",
"urgency": "<string>",
"sender": "<unknown>",
"recipient": "<unknown>",
"category": "<unknown>",
"metadata": "<unknown>"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Messages
Update message
Update a message read status. Only readAt, archivedAt, and snoozedUntil fields are allowed.
PATCH
/
v1
/
messages
/
{id}
Update message
curl --request PATCH \
--url https://api.bizzyco.ai/v1/messages/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"readAt": "2024-01-15T10:30:00Z",
"archivedAt": "2024-01-15T12:00:00Z",
"snoozedUntil": "2024-01-16T09:00:00Z"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
readAt: '2024-01-15T10:30:00Z',
archivedAt: '2024-01-15T12:00:00Z',
snoozedUntil: '2024-01-16T09:00:00Z'
})
};
fetch('https://api.bizzyco.ai/v1/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/messages/{id}"
payload = {
"readAt": "2024-01-15T10:30:00Z",
"archivedAt": "2024-01-15T12:00:00Z",
"snoozedUntil": "2024-01-16T09:00:00Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/messages/{id}"
payload := strings.NewReader("{\n \"readAt\": \"2024-01-15T10:30:00Z\",\n \"archivedAt\": \"2024-01-15T12:00:00Z\",\n \"snoozedUntil\": \"2024-01-16T09:00:00Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z",
"readAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"snoozedUntil": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phoneNumberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emailAddressId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerMessageId": "<string>",
"providerName": "<string>",
"threadId": "<string>",
"text": "<string>",
"action": "<string>",
"importance": "<string>",
"status": "<string>",
"summary": "<string>",
"urgency": "<string>",
"sender": "<unknown>",
"recipient": "<unknown>",
"category": "<unknown>",
"metadata": "<unknown>"
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
API key authentication via Bearer token
Path Parameters
Message UUID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
Last modified on August 9, 2026
⌘I